import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, a = (l, e, i, o) => {
  for (var t = o > 1 ? void 0 : o ? v(e, i) : e, r = l.length - 1, s; r >= 0; r--)
    (s = l[r]) && (t = (o ? s(e, i, t) : s(t)) || t);
  return o && t && m(e, i, t), t;
};
let c = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--facebookStatic", this.class = "c-pieIcon c-pieIcon--facebookStatic", this.name = "IconSocialFacebookStatic";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--facebookStatic"><path fill="#1778F2" d="M8 1.455A6.545 6.545 0 0 0 6.96 14.466V9.89H5.296V8H6.96V6.556A2.31 2.31 0 0 1 9.435 4.01c.49.008.978.051 1.461.131v1.61h-.822a.945.945 0 0 0-1.068 1.024V8h1.812l-.289 1.89H9.006v4.576A6.545 6.545 0 0 0 8 1.456Z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], c.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = a([
  h("icon-social-facebook-static")
], c);
export {
  c as IconSocialFacebookStatic
};
